Creates a new webhook subscription.
When an event matching your subscription occurs, Zeeg will send a POST request to the specified callbackUrl with the event payload.
You can view and manage your webhook subscriptions from the Zeeg dashboard.
Scope: Set up a webhook subscription for either the whole organization or a specific user:
user: The webhook fires only for events belonging to the authenticated user.organization: The webhook fires for events belonging to any member of the authenticated user’s organization. Requires an organization admin/owner token.Token: You can optionally provide a token string that will be included in the webhook payload headers. Use this to verify that incoming webhook requests originate from Zeeg.
Automatic deletion: Webhook subscriptions are automatically deleted if the callback URL becomes unreachable. Specifically, a subscription will be removed if:
404 Not Found status.410 Gone status.We will notify the owner of the webhook with an email about this event.
curl --request POST \
--url https://api.zeeg.me/v2/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrl": "https://example.com/webhooks/zeeg",
"events": [
"invitee.scheduled",
"invitee.cancelled"
],
"scope": "user",
"token": "my-secret-token-123"
}
'{
"success": true,
"resource": {
"uuid": "9a39bf60-a6c3-45e7-80cd-2cd36e520861",
"name": null,
"description": null,
"callbackUrl": "https://example.com/webhooks/zeeg",
"scope": "user",
"creator": {
"firstName": "Lena",
"lastName": "Meier",
"slug": "lena-meier"
},
"events": [
"invitee.scheduled",
"invitee.cancelled"
],
"organization": null,
"apiVersion": null,
"createdAt": "2026-04-10T08:30:00.000000Z",
"updatedAt": "2026-04-10T08:30:00.000000Z"
}
}The URL that Zeeg will send webhook payloads to. Must be a valid and reachable URL.
List of event types to subscribe to.
invitee.scheduled, invitee.cancelled, routing_form.submitted The scope of the webhook subscription. Use user for personal webhooks or organization for organization-wide webhooks.
user, organization Optional verification token included in webhook payload headers for authenticity verification.
Created
Hide child attributes
user, organization curl --request POST \
--url https://api.zeeg.me/v2/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrl": "https://example.com/webhooks/zeeg",
"events": [
"invitee.scheduled",
"invitee.cancelled"
],
"scope": "user",
"token": "my-secret-token-123"
}
'{
"success": true,
"resource": {
"uuid": "9a39bf60-a6c3-45e7-80cd-2cd36e520861",
"name": null,
"description": null,
"callbackUrl": "https://example.com/webhooks/zeeg",
"scope": "user",
"creator": {
"firstName": "Lena",
"lastName": "Meier",
"slug": "lena-meier"
},
"events": [
"invitee.scheduled",
"invitee.cancelled"
],
"organization": null,
"apiVersion": null,
"createdAt": "2026-04-10T08:30:00.000000Z",
"updatedAt": "2026-04-10T08:30:00.000000Z"
}
}